petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFERegister

Adds a new PetscFE implementation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERegister(const char sname[], PetscErrorCode (*function)(PetscFE))

Not Collective Many br

### Input Parameters

| name | - The name of a new user-defined creation routine Many br
| create_func | - The creation routine itself Many br

### Notes

PetscFERegister() may be called multiple times to add several user-defined PetscFEs Many br

### Sample usage

        PetscFERegister("my_fe", MyPetscFECreate);

Many br

Then, your PetscFE type can be chosen with the procedural interface via Many br

        PetscFECreate(MPI_Comm, PetscFE *);
        PetscFESetType(PetscFE, "my_fe");

Many bror at runtime via the option Many br

        -petscfe_type my_fe

Many br

Many br

### Keywords

PetscFE, register

### See Also

PetscFERegisterAll(), PetscFERegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages